# std::tr1::tuple_element< __i, tuple< _Head, _Tail...> > Struct Template Reference

## Detailed Description

### template<int __i, typename _Head, typename... _Tail>
struct std::tr1::tuple_element< __i, tuple< _Head, _Tail...> >

Recursive case for tuple_element: strip off the first element in the tuple and retrieve the (i-1)th element of the remaining tuple.

Definition at line 233 of file tr1/tuple.

The documentation for this struct was generated from the following file:

- tr1/tuple